import _extends from "@babel/runtime/helpers/extends";

/** @jsx jsx */
import { jsx } from "@emotion/core";
import { forwardRef } from "react";
import { useFormControl } from "../FormControl";
import { useUIMode } from "../ThemeProvider";
import Text from "../Text";
export var FormHelperText = forwardRef(function (props, ref) {
  var _useUIMode = useUIMode(),
      mode = _useUIMode.mode;

  var formControl = useFormControl(props);
  var color = {
    light: "gray.500",
    dark: "whiteAlpha.600"
  };
  return jsx(Text, _extends({
    mt: 2,
    ref: ref,
    id: "".concat(formControl.id, "-help-text"),
    color: color[mode],
    lineHeight: "normal",
    fontSize: "sm"
  }, props));
});
export default FormHelperText;